
####################################################
## Xbone-4.0-InstallPERL.sh   install this first
####################################################
cd /usr/bin
ln  -s  perl  perl5
#--------------------------------------------
groupadd   qemu
yum   -y install   qemu
yum   -y install   libvirt
yum   -y install   perl*
yum   -y install   Tk*
yum   -y install   tcl*
yum   -y install   perl-lib*
yum   -y install   perl-Tk-Table*
yum   -y install   tk*
yum   -y install   apache*
yum   -y install   bind*
yum   -y install   iproute*
yum   -y install   ipsec*
yum   -y install   openssl*
yum   -y install   openldap*
yum   -y install   openssl*
yum   -y --skip-broken install   perl*
####################################################
cd /usr/local/src
svn co svn://mul.isi.edu/root/SVN/XBone-4.0
cp -R XBone-4.0/trunk/www /usr/local/www
cp -R XBone-4.0/trunk/man /usr/local/man
cp -R XBone-4.0/trunk/xbone /usr/local/xbone
cp -R XBone-4.0/trunk/etc /usr/local/

#ln -s /usr/local/src/XBone-4.0/trunk/xbone /usr/local/xbone
#ln -s /usr/local/src/XBone-4.0/trunk/www /usr/local/www
#ln -s /usr/local/src/XBone-4.0/trunk/man /usr/local/man
#ln -s /usr/local/src/XBone-4.0/trunk/etc /usr/local/etc
####################################################

####################################################
# GET XBone-4.0-InstallPerl.sh
# Install all PERL modules missing
# chmod 755 XBone-4.0/trunk/XBone-4.0-InstallPERL.sh
# XBone-4.0/trunk/XBone-4.0-InstallScript.sh
######################################################
###  Provide xbone interface in /usr/local/bin
#============================================
ln  -s  /usr/local/etc/xbone/apache/xb-apache-config.pl  /usr/local/bin/xb-apache-config
ln  -s  /usr/local/xbone/programs/xb-api-client.pl       /usr/local/bin/xb-api-client
ln  -s  /usr/local/www/xbone/lib/xb-gui-control.pl       /usr/local/bin/xb-gui-control
ln  -s  /usr/local/etc/xbone/openldap/xb-ldap-config.pl  /usr/local/bin/xb-ldap-config
ln  -s  /usr/local/xbone/install/xb-node-control.pl      /usr/local/bin/xb-node-control
ln  -s  /usr/local/xbone/programs/xb-node-daemon.pl      /usr/local/bin/xb-node-daemon
ln  -s  /usr/local/xbone/programs/xbonectl.pl            /usr/local/bin/xbonectl

chmod 755 /usr/local/xbone/programs/xb*
chmod 755 /usr/local/etc/xbone/apache/xb-apache-config.pl
chmod 755 /usr/local/etc/xbone/openldap/xb-ldap-config.pl
chmod 755 /usr/local/www/xbone/lib/xb-gui-control.pl
chmod 755 /usr/local/xbone/install/xb-node-control.pl

### Enable XBone Log and Tmp
#################################################
mkdir /var/xbone
chmod 666 /var/xbone  
### holds: xbone.log  xbone.pid  xbone.state
#################################################
#### Copy XBONE man pages
#usr/local/man/man5/xbone.conf.5
#./man5/xbone-gui.conf.5
#./man8/xbonectl.8
#################################################


########################################################
########  GORAN: create certificate for the node
# div.isi.edu-cert.pem
# div.isi.edu-key.pem
# cp to /usr/local/etc/xbone/cert/.
# also 
# cp CAcert.pem to /usr/local/etc/xbone/cert/.
####################################################
# ln -s /usr/local/etc/xbone/cert/div.isi.edu-cert.pem /usr/local/etc/xbone/cert/xbone-node-cert.pem
# ln -s /usr/local/etc/xbone/cert/div.isi.edu-key.pem  /usr/local/etc/xbone/cert/xbone-node-key.pem

###########################################################################
#####  Provide Node certificates to Apache server - for OVERLAY MANAGER
###########################################################################
# mkdir /etc/httpd/conf/ssl.crt
# mkdir /etc/httpd/conf/ssl.key
# ln -s  /usr/local/etc/xbone/cert/xbone-node-cert.pem  /etc/httpd/conf/ssl.crt/xbone-node-cert.pem   
# ln -s  /usr/local/etc/xbone/cert/xbone-node-key.pem   /etc/httpd/conf/ssl.key/xbone-node-key.pem
# cp /usr/local/etc/xbone/cert/CAcert.pem /etc/pki/CA/certs/.

################################################################################
##### Add xbone configuration to Apache server - for OVERLAY MANAGER
################################################################################
ln -s  /usr/local/etc/xbone/apache/xbone-apache.conf   /etc/httpd/conf.d/xbone-apache.conf
#
## EDIT /etc/httpd/conf/httpd.conf addition
#  Addd the following block just after the existing <Files> ... </Files> block
# <Files ~ "\.(pl|cgi)$">
#   SetHandler perl-script
#   PerlResponseHandler ModPerl::PerlRun
#   Options +ExecCGI
#   PerlSendHeader On
# </Files>
############################################################################
## For Overlay MANAGER
############################################################################
## edit /etc/httpd/conf.d/ssl.conf
#
#   replace
#   #DocumentRoot "/var/www/html"
#   #ServerName www.example.com:443
#   with
#   DocumentRoot "/usr/local/www/xbone/htdocs"
#   ServerName www.div.isi.edu:443
#   ServerAdmin scuric@isi.edu
#
#   replace 
#   SSLCipherSuite RC4-SHA:AES128-SHA:ALL:!ADH:!EXP:!LOW:!MD5:!SSLV2:!NULL
#   with
#   SSLCipherSuite ALL:!ADH:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
#
#   replace
#   SSLCertificateFile /etc/pki/tls/certs/localhost.crt
#   with
#   SSLCertificateFile /etc/httpd/conf/ssl.crt/xbone-node-cert.pem
#
#   replace
#   SSLCertificateKeyFile /etc/pki/tls/private/localhost.key
#   with
#   SSLCertificateKeyFile /etc/httpd/conf/ssl.key/xbone-node-key.pem
#
#   just after the 
#   ##SSLCACertificateFile /etc/pki/tls/certs/ca-bundle.crt
#   add
#   SSLCACertificateFile /etc/pki/CA/certs/CAcert.pem
#
#   replace  (at the end of the file) 
#   </VirtualHost>
#   with
#   <Directory "/usr/local//www/xbone">
#   AllowOverride None
#   Order allow,deny
#   Allow from all
#   </Directory>
#   </VirtualHost>
############################################################################

## in FIREFOX browser (To access Overlay Manager)
# import Authority Cert CAcert.pem
# import node xcertificate div.isi.edu-cert.pem
# import user certificate scuric.p12
#  all from /usr/local/etc/xbone/cert/.

## ----> TO RUN XBONE
## run xb-node-control
# open file xbone.conf
# set ACL
# set Main
# set Addressing
# set certificates
# SAVE

